<?php
/* This file is part of BBClone (The PHP web counter on steroids)
 *
 * $Header: /cvs/bbclone/constants.php,v 1.72 2004/08/14 17:48:46 olliver Exp $
 *
 * Copyright (C) 2001-2004, the BBClone Team (see file doc/authors.txt
 * distributed with this library)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * See doc/copying.txt for details
 */
$vars = array(
  "BBC_ACCESS_FILE", "BBC_CACHE_PATH", "BBC_CONFIG_FILE", "BBC_CONF_PATH", "BBC_COUNTER_COLUMNS",
  "BBC_COUNTER_FILES", "BBC_COUNTER_PREFIX", "BBC_COUNTER_SUFFIX", "BBC_DETAILED_STAT_FIELDS",
  "BBC_DOC_PATH", "BBC_IGNORE_AGENT", "BBC_IGNORE_BOTS", "BBC_IGNORE_IP", "BBC_IGNORE_REFER",
  "BBC_IMAGES_PATH", "BBC_IP2EXT_PATH", "BBC_KILL_STATS", "BBC_LANGUAGE", "BBC_LANGUAGE_PATH",
  "BBC_LAST_FILE", "BBC_LIB_PATH", "BBC_LOCK", "BBC_LOG_PROCESSOR", "BBC_MAINSITE", "BBC_MAXBROWSER",
  "BBC_MAXEXTENSION", "BBC_MAXHOST", "BBC_MAXKEY", "BBC_MAXORIGIN", "BBC_MAXOS", "BBC_MAXPAGE",
  "BBC_MAXROBOT", "BBC_MAXTIME", "BBC_MAXVISIBLE", "BBC_NO_DNS", "BBC_NO_HITS", "BBC_NO_STRING",
  "BBC_NUM_SIZE", "BBC_PURGE_SINGLE", "BBC_ROOT_PATH", "BBC_SEP", "BBC_SHOW_CONFIG", "BBC_SUBTITLE_SIZE",
  "BBC_TEXT_SIZE", "BBC_TIMESTAMP", "BBC_TIME_OFFSET", "BBC_TITLEBAR", "BBC_TITLE_SIZE", "BBC_VERSION",
  "access", "af", "al", "last"
);

// Make sure it's only us who's defining variables
foreach ($vars as $i) {
  if (isset($$i)) unset($$i);
}

// BBClone's location relative from where it's been called
$BBC_ROOT_PATH = defined("_BBCLONE_DIR") ? _BBCLONE_DIR : "";
// The version number of BBCLONE
$BBC_VERSION = "0.4.3";
// Path handling, change only if you exactly know what you're doing
$BBC_LIB_PATH  = $BBC_ROOT_PATH."lib/";
$BBC_LANGUAGE_PATH = $BBC_ROOT_PATH."language/";
$BBC_CACHE_PATH  = $BBC_ROOT_PATH."var/";
$BBC_DOC_PATH  = $BBC_ROOT_PATH."doc/";
$BBC_IP2EXT_PATH  = $BBC_ROOT_PATH."ip2ext/";
$BBC_IMAGES_PATH = $BBC_ROOT_PATH."images/";
$BBC_CONF_PATH = $BBC_ROOT_PATH."conf/";
$BBC_CONFIG_FILE = $BBC_CONF_PATH."config.php";
$BBC_LOG_PROCESSOR = $BBC_ROOT_PATH."log_processor.php";
$BBC_LOCK = $BBC_CACHE_PATH.".htalock";
// name of the counter files
$BBC_COUNTER_PREFIX = "counter";
$BBC_COUNTER_SUFFIX = ".inc";
// How many columns they contain
$BBC_COUNTER_COLUMNS = 8;
// What titles are assigned to them
$BBC_COUNTER_COLUMN_NAMES = array("time", "prx_ip", "ip", "dns", "agent", "referer", "uri", "page");
// Amount of counter files
$BBC_COUNTER_FILES = 16;
// Global separator
$BBC_SEP = chr(173);
// Timestamp at runtime
$BBC_TIMESTAMP = time();
// "Live data" of detailed stats
$BBC_LAST_FILE = $BBC_CACHE_PATH."last.php";
// access file related
$BBC_ACCESS_FILE = $BBC_CACHE_PATH."access.php";

// Global error handling for checking files'/directories' usabilitiy
function bbc_err_msg($item, $state = "r") {
  global $BBC_NO_STRING, $BBC_VERSION, $BBC_LOCK;

  echo (empty($BBC_NO_STRING) ? "\n<!-- BBClone ".(!empty($BBC_VERSION) ? $BBC_VERSION : "unknown")." KO: "
      .(((substr($item, (strrpos($item, ".") + 1)) == "php") || (substr($item, (strrpos($item, ".") + 1)) == "inc") ||
       (basename($item) == basename($BBC_LOCK))) ? "file" : "directory")
      ." $item is ".(($state == "w") ? "read-only" : "inaccessible")." -->\n" : "");
}
?>